.btn a {
    background-color: var(--c-verde) !important;
    color: var(--c-blanco) !important;
    font-size: 1.0625rem;
    font-weight: 400;
    text-decoration: none;
    text-transform: uppercase;
    padding: 12px 30px;
    border-radius: 200px;
    display: inline-block;
    transition: all 0.35s;
    border: none;
    position: relative;
    z-index: 0;
    overflow: hidden;

    &::after {
        content: '';
        background: linear-gradient(125deg, var(--c-granate) 0%, var(--c-naranja) 50%, var(--c-amarillo) 100%);
        position: absolute;
        inset: 0;
        margin: auto;
        width: 0;
        height: 0;
        border-radius: 200px;
        z-index: -1;
        transition: all 0.35s ease;
    }

    &>span {
        gap: 20px;
        justify-content: space-between !important;
        align-items: center;
        width: 100%;
    }

    svg {
        width: 20px;

        path {
            stroke: var(--c-blanco);
            transition: all 0.35s ease;
        }
    }

    .elementor-button-icon {
        transition: all 0.35s ease;
    }

    &:hover {
        &::after {
            width: 300px;
            height: 300px;
        }

        .elementor-button-icon {
            margin-left: 20px;
        }
    }
}

.btn-blanco a {
    background-color: var(--c-blanco) !important;
    color: var(--c-negro) !important;
    font-size: 1.0625rem;
    font-weight: 400;
    text-decoration: none;
    text-transform: uppercase;
    padding: 12px 30px;
    border-radius: 200px;
    display: inline-block;
    transition: all 0.35s;
    border: none;
    position: relative;
    z-index: 0;
    overflow: hidden;

    &::after {
        content: '';
        background: linear-gradient(125deg, var(--c-granate) 0%, var(--c-naranja) 50%, var(--c-amarillo) 100%);
        position: absolute;
        inset: 0;
        margin: auto;
        width: 0;
        height: 0;
        border-radius: 200px;
        z-index: -1;
        transition: all 0.35s ease;
    }

    &>span {
        gap: 20px;
        justify-content: space-between !important;
        align-items: center;
        width: 100%;
    }

    svg {
        width: 20px;

        path {
            stroke: var(--c-negro);
            transition: all 0.35s ease;
        }
    }

    .elementor-button-icon {
        transition: all 0.35s ease;
    }

    &:hover {
        color: var(--c-blanco) !important;
        
        &::after {
            width: 300px;
            height: 300px;
        }

        .elementor-button-icon {
            margin-left: 20px;
        }

        svg {
            path {
                stroke: var(--c-blanco);
            }
        }
    }
}
